# $Revision: 1.15 $, $Date: 2008/09/10 13:30:53 $
Summary:	Program to distribute compilation of C or C++
Summary(pl.UTF-8):	Program do rozdzielania kompilacji programów w C lub C++
Name:		icecream
Version:	0.9.1
Release:	1
License:	GPL v2
Group:		Development/Languages
Source0:	ftp://ftp.suse.com/pub/projects/icecream/icecc-%{version}.tar.bz2
# Source0-md5:	d8f65259ef2f72d36c157b64a2ff11d5
Source1:	%{name}.sysconfig
Source2:	%{name}-iceccd.init
Source3:	%{name}-scheduler.init
URL:		http://en.opensuse.org/Icecream
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1.6
BuildRequires:	librsync-devel
BuildRequires:	libtool
Requires(post,postun):	/sbin/ldconfig
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Icecream is a distributed compile system. It allows parallel compiling
by distributing the compile jobs to several nodes of a compile network
running the icecc daemon. The icecc scheduler routes the jobs and
provides status and statistics information to the icecc monitor. Each
compile node can accept one or more compile jobs depending on the
number of processors and the settings of the daemon. Link jobs and
other jobs which cannot be distributed are executed locally on the
node where the compilation is started.

%description -l pl.UTF-8
Icecream jest kompilatorem distcc nowej generacji.

%package devel
Summary:	Header files for icecream
Summary(pl.UTF-8):	Pliki nagłówkowe icecream
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for icecream.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla icecream.

%prep
%setup -q -n icecc-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-shared \
	--disable-static

%{__make} \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/{sysconfig,rc.d/init.d}
install -d $RPM_BUILD_ROOT%{_libdir}/icecc/bin

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/icecream
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/iceccd
install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/icecc-scheduler

for i in cc gcc c++ g++; do
	ln -sf %{_bindir}/icecc $RPM_BUILD_ROOT%{_libdir}/icecc/bin/$i
	rm -f $RPM_BUILD_ROOT%{_bindir}/$i
done

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 197 icecream
%useradd -u 197 -s /bin/false -d /var/cache/icecream -c "Icecream User" -g icecream icecream

%post
/sbin/ldconfig
/sbin/chkconfig --add iceccd
%service iceccd restart

%preun
if [ "$1" = "0" ]; then
	%service iceccd stop
	/sbin/chkconfig --del iceccd
fi

%postun
if [ "$1" = "0" ]; then
	%userremove icecream
	%groupremove icecream
fi
/sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NEWS README TODO
%attr(754,root,root) /etc/rc.d/init.d/iceccd
%attr(754,root,root) /etc/rc.d/init.d/icecc-scheduler
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/icecream
%attr(755,root,root) %{_bindir}/icecc
%attr(755,root,root) %{_sbindir}/iceccd
%attr(755,root,root) %{_sbindir}/scheduler
%attr(755,root,root) %{_libdir}/libicecc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libicecc.so.0
%dir %{_libdir}/icecc
%dir %{_libdir}/icecc/bin
%attr(755,root,root) %{_libdir}/icecc/bin/cc
%attr(755,root,root) %{_libdir}/icecc/bin/gcc
%attr(755,root,root) %{_libdir}/icecc/bin/c++
%attr(755,root,root) %{_libdir}/icecc/bin/g++
%attr(755,root,root) %{_libdir}/icecc/icecc-create-env

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libicecc.so
%{_libdir}/libicecc.la
%{_includedir}/icecc
%{_pkgconfigdir}/icecc.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: icecream.spec,v $
Revision 1.15  2008/09/10 13:30:53  paszczus
- adaptarized

Revision 1.14  2008/09/10 13:29:57  paszczus
- better description; added icecream-scheduler.init

Revision 1.13  2008/09/09 17:49:03  qboosh
- more BRs

Revision 1.12  2008/09/09 17:45:42  qboosh
- files fixes, missing R()s
- dropped COPYING (just GPL)

Revision 1.11  2008/09/09 13:37:57  paszczus
- use our sysconfig file

Revision 1.10  2008/09/09 13:13:42  paszczus
- added our init script; adduser user/group icecream

Revision 1.9  2008/09/09 10:45:57  paszczus
- merged few hacks from fedora
- added %post/preun scripts

Revision 1.8  2008/09/09 10:19:17  paszczus
- started to PLDize this spec

Revision 1.7  2008/09/09 09:12:47  paszczus
- updated to 0.9.1

Revision 1.6  2007-12-26 10:42:57  blekot
- some fixes in devel
- rel 2

Revision 1.5  2007-12-19 21:27:55  blekot
- added --enable-shared, --disable-static
- added post(un) /sbin/ldconfig
- rel 1

Revision 1.4  2007-02-12 22:09:10  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.2  2006/12/19 22:05:15  qboosh
- cleanup

Revision 1.1  2006/12/16 16:01:02  deejay1
- initial
- NFY - feel free to fix
